EUCA-CREATE-VPN-CONNECTION(1)

NAME
euca-create-vpn-connection - Create a VPN connection between a virtual private gateway and a customer gateway

SYNOPSIS
euca-create-vpn-connection -t ipsec.1 --customer-gateway CGATEWAY

--vpn-gateway VGATEWAY
    [--static-routes-only] [--format FORMAT] [--stylesheet STYLESHEET] [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h]

DESCRIPTION
Create a VPN connection between a virtual private gateway and a customer gateway

DESCRIPTION
You can optionally format the connection information for specific devices using the --format or --stylesheet options. If the --stylesheet option is an HTTP or HTTPS URL it will be downloaded as needed.

  optional arguments:

-t ipsec.1, --type ipsec.1
    the type of VPN connection to use (required)

--customer-gateway CGATEWAY
    ID of the customer gateway to connect (required)

--vpn-gateway VGATEWAY
    ID of the virtual private gateway to connect (required)

--static-routes-only
    use only static routes instead of BGP

--format FORMAT
    show connection information in a specific format (cisco-ios-isr, juniper-junos-j, juniper-screenos-6.1, juniper-screenos-6.2, generic, xml, none) (default: xml)

--stylesheet STYLESHEET
    format the connection information using an XSL stylesheet. If the value contains "{format}" it will be replaced with the format chosen by the --format option. If the value is an HTTP or HTTPS URL it will be downloaded as needed. (default: value of "vpnstylesheet" region option)

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit